/// <reference types="node" />
import { priorityTransaltion, typeTransaltion } from "../consts";
import { LogType, StaticArgs } from '../interfaces';
export declare class Telegram {
    #private;
    ignoreSendingErrors: boolean;
    priorityTransaltion: {
        low: string;
        medium: string;
        high: string;
        critical: string;
    };
    typeTransaltion: {
        warning: string;
        info: string;
        success: string;
        error: string;
        debug: string;
    };
    channels: {
        [key in LogType | "default"]?: {
            chatId: string;
            botToken: string;
        };
    };
    i18n: {
        priority: string;
        type: string;
    };
    i18nTranslation(values: Partial<typeof this.i18n>): void;
    translateTypes(values: Partial<typeof typeTransaltion>): void;
    translatePriorities(values: Partial<typeof priorityTransaltion>): void;
    configureChannels(channels: typeof this.channels): void;
    constructor(opts: {
        defaultChatId: string;
        defaultBotToken: string;
        ignoreSendingErrors: boolean;
    });
    info(msg: string, staticArgs?: StaticArgs, ignoreSendingErrors?: boolean, file?: {
        buff: Buffer;
        fileName?: string;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    debug(msg: string, staticArgs?: StaticArgs, ignoreSendingErrors?: boolean, file?: {
        buff: Buffer;
        fileName?: string;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    error(msg: string, staticArgs?: StaticArgs, ignoreSendingErrors?: boolean, file?: {
        buff: Buffer;
        fileName?: string;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    success(msg: string, staticArgs?: StaticArgs, ignoreSendingErrors?: boolean, file?: {
        buff: Buffer;
        fileName?: string;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    warning(msg: string, staticArgs?: StaticArgs, ignoreSendingErrors?: boolean, file?: {
        buff: Buffer;
        fileName?: string;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    send(opts: {
        msg: string;
        token: string;
        chatId: string;
        file?: {
            buff: Buffer;
            fileName?: string;
        };
        ignoreSendingErrors?: boolean;
    }): Promise<import("axios").AxiosResponse<any, any> | undefined>;
    formatMessage(msg: string, staticArgs?: StaticArgs): string;
}
